Open SCAP Library: oval_result_definition Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_result_definition Struct Reference
OVAL » OVALRES

## Public Member Functions
struct oval_result_definition * | oval_result_definition_new (struct oval_result_system *, char *)
struct oval_result_definition * | oval_result_definition_clone (struct oval_result_system *new_system, struct oval_result_definition *old_definition)
void | oval_result_definition_free (struct oval_result_definition *)
int | oval_result_definition_get_variable_instance_hint (const struct oval_result_definition *definition)
| Get the value of the variable_instance hint.
void | oval_result_definition_set_variable_instance_hint (struct oval_result_definition *definition, int new_hint_value)
| This sets counter on next possible variable instance. More...
Setters
void | oval_result_definition_set_result (struct oval_result_definition *, oval_result_t)
void | oval_result_definition_set_instance (struct oval_result_definition *, int)
void | oval_result_definition_set_criteria (struct oval_result_definition *, struct oval_result_criteria_node *)
void | oval_result_definition_add_message (struct oval_result_definition *, struct oval_message *)
Getters
struct oval_definition * | oval_result_definition_get_definition (const struct oval_result_definition *)
const char * | oval_result_definition_get_id (const struct oval_result_definition *rslt_definition)
| Returns the attribute of a given result definition.
struct oval_result_system * | oval_result_definition_get_system (const struct oval_result_definition *)
int | oval_result_definition_get_instance (const struct oval_result_definition *)
oval_result_t | oval_result_definition_eval (struct oval_result_definition *)
oval_result_t | oval_result_definition_get_result (const struct oval_result_definition *)
struct oval_message_iterator * | oval_result_definition_get_messages (const struct oval_result_definition *)
struct oval_result_criteria_node * | oval_result_definition_get_criteria (const struct oval_result_definition *)

## Data Fields
struct oval_definition * | definition
oval_result_t | result
struct oval_result_system * | system
struct oval_result_criteria_node * | criteria
struct oval_collection * | messages
int | instance
int | variable_instance_hint
| A next possible variable_instance attribute.

## Member Function Documentation

void oval_result_definition_set_variable_instance_hint | ( | struct oval_result_definition * | definition,
|  | int | new_hint_value
| ) |  |

This sets counter on next possible variable instance.

The hint is later used to decide whether instanciate a new result_definition, and what variable_instance attribute assign to it.

The documentation for this struct was generated from the following files:

- oval_resultDefinition.c
- oval_results.h